libgphoto2 (libgphoto2): libgphoto2/gphoto2.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2.h

    00001 /* gphoto2.h: Convenience header for gphoto2
    00002  *
    00003  * Copyright © 2001 Lutz Müller <lutz@users.sf.net>
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020 #ifndef __GPHOTO2_H__
    00021 #define __GPHOTO2_H__
    00022
    00023 #ifdef __cplusplus
    00024 extern "C" {
    00025 #endif
    00026
    00027 #ifdef OS2
    00028 #  include <db.h>
    00029 #  include <sys/param.h>
    00030 #  define CAMLIBS     getenv("CAMLIBS")
    00031 #  define RTLD_LAZY   0x001
    00032 #  define VERSION     "2"
    00033 #  define usleep(t)   _sleep2(((t)+500)/ 1000)
    00034 #endif
    00035
    00036 #ifdef WIN32
    00037 #define CAMLIBS "."
    00038 #endif
    00039
    00040 #include <gphoto2-port.h>
    00041 #include <gphoto2-port-log.h>
    00042 #include <gphoto2-port-result.h>
    00043
    00044 #include <gphoto2-result.h>
    00045 #include <gphoto2-camera.h>
    00046 #include <gphoto2-file.h>
    00047 #include <gphoto2-filesys.h>
    00048 #include <gphoto2-library.h>
    00049 #include <gphoto2-list.h>
    00050 #include <gphoto2-setting.h>
    00051 #include <gphoto2-widget.h>
    00052
    00053 #ifdef __cplusplus
    00054 }
    00055 #endif
    00056
    00057 #endif /* __GPHOTO2_H__ */